# PDOStatement::setAttribute

(PHP 5 >= 5.1.0, PHP 7, PHP 8, PECL pdo >= 0.2.0)

PDOStatement::setAttribute — Setzt ein Anweisungsattribut

### Beschreibung

public PDOStatement::setAttribute(int `$attribute`, mixed `$value`): bool

Setzt ein Attribut für eine Anweisung. Derzeit werden keine allgemeinen Attribute gesetzt, sondern nur treiberspezifische:

- `PDO::ATTR_CURSOR_NAME` (spezifisch für Firebird und ODBC): setzt den Namen des Cursors für `UPDATE ... WHERE CURRENT OF`.

Es ist zu beachten, dass treiberspezifische Attribute nicht zusammen mit anderen Treibern verwendet werden dürfen.

### Parameter-Liste

`attribute`

  Das zu ändernde Attribut

`value`

  Der Wert, auf den das `attribute` gesetzt werden soll, muss je nach Attribut möglicherweise einen bestimmten Typ haben.

### Rückgabewerte

Gibt bei Erfolg `true` zurück. Bei einem Fehler wird `false` zurückgegeben.

### Siehe auch

- PDO::getAttribute() - Ruft ein Attribut einer Datenbankverbindung ab
- PDO::setAttribute() - Setzt ein Attribut
- PDOStatement::getAttribute() - Ruft ein Attribut einer Anweisung ab

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open